local L,SN,ST = DXE.L,DXE.SN,DXE.ST

------------------------
-- Alysrazor
------------------------
do
	local data = {
		version = 1,
		key = "Alysrazor",
		zone = L.zone["Firelands"],
		category = L.zone["Firelands"],
		name = L.npc_firelands["Alysrazor"],
		triggers = {
			scan = {
				52530, -- Alysrazor
			},
		},
		onactivate = {
			tracing = {52530}, -- Alysrazor
            tracerstart = true,
			combatstop = true,
			defeat = 52530,
		},
        userdata = {
			imprintedtext = "",
        },
        onstart = {
        },
        windows = {
        },
        timers = {
        },
		alerts = {
			firestorm = {
				varname = format(L.alert["%s Casting"],SN[100744]),
				type = "centerpopup",
				text = format(L.alert["%s Casting"],SN[100744]),
				time = 5,
				flashtime = 5,
				color1 = "YELLOW",
				color2 ="RED",
				sound = "ALERT12",
			},
			brushfire = {
				varname = format(L.alert["%s Casting"],SN[100717]),
				type = "simple",
				text = format(L.alert["%s Casting"],SN[100717]),
				time = 3,
				flashtime = 3,
				color1 = "ORANGE",
				sound = "ALERT2",
			},
			imprinted = {
				varname = format(L.alert["%s Warning"],SN[100360]),
				type = "simple",
				text = format(L.alert["%s on %s"],SN[100360],"<imprintedtext>"),
				time = 3,
				flashtime = 3,
				color1 = "BLACK",
				sound = "ALERT3",
			},
			tantrumcd = {
				varname = format(L.alert["%s Cooldown"],SN[100852]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[100852]),
				time = 15,
				flashtime = 5,
				color1 = "ORANGE",
				throttle = 2, --possbily
			},
			vortex = {
				varname = format(L.alert["%s Duration"],SN[99794]),
				type = "dropdown",
				text = format(L.alert["%s Duration"],SN[99794]),
				time = 30, --???
				flashtime = 5,
				color1 = "ORANGE",
			},
			burnout = {
				varname = format(L.alert["%s Duration"],SN[99432]),
				type = "dropdown",
				text = format(L.alert["%s Duration"],SN[99432]),
				time = 20,
				flashtime = 5,
				color1 = "YELLOW",
			},
			ignited = {
				varname = format(L.alert["%s Duration"],SN[99922]),
				type = "dropdown",
				text = format(L.alert["%s Duration"],SN[99922]),
				time = 12, -- or 16
				flashtime = 5,
				color1 = "YELLOW",
			},
		},
        announces = {
        },
        raidicons = {
        },
		events = {
			-- Phase 1
			-- Firestorm heroic only
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellname= 100744,
				execute = {
					{
						"alert","firestorm",
					},
				},
			},
			-- Brushfire
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellname= 100717,
				execute = {
					{
						"alert","brushfire",
					},
				},
			},
			-- Hatchling
			-- Imprinted 
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APLLIED",
				spellname= 100360,
				execute = {
					{
						"set",{imprintedtext = "#5#"},
						"alert","imprinted",
					},
				},
			},
			-- Satiated 
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APLLIED",
				spellname= 100852,
				execute = {
					{
						"alert","tantrumcd",
					},
				},
			},
			-- Worm (arrow?)
			
			-- Herald (heroic)
			-- Cataclysm
			
			-- Phase 2 (probably yell)
			-- Fiery Vortex
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellname= 99794,
				execute = {
					{
						"alert","vortex",
					},
				},
			},
			-- Phase 3 + 4
			-- Burnout
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellname= 99432,
				execute = {
					{
						"alert","burnout",
					},
				},
			},
			-- Ignited , still adds up??
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellname= 99922,
				execute = {
					{
						"quash","burnout",
						"alert","ignited",
					},
				},
			},
		},
	}

	DXE:RegisterEncounter(data)
end

------------------------
-- Baleroc
------------------------
do
	local data = {
		version = 1,
		key = "Baleroc",
		zone = L.zone["Firelands"],
		category = L.zone["Firelands"],
		name = L.npc_firelands["Baleroc"],
		triggers = {
			scan = {
				53494, -- Baleroc
			},
		},
		onactivate = {
			tracing = {53494}, -- Baleroc
            tracerstart = true,
			combatstop = true,
			defeat = 53494,
		},
        userdata = {
			blazetext = "",
        },
        onstart = {
			{
				"expect",{"&difficulty&",">=","3"}, --10h&25h
				"alert","countdowncd",
			},
			{
				"alert","bladecd",
				"alert",{"shardcd",time = 2},
			},
        },
        windows = {
			proxwindow = true,
        },
        timers = {
        },
		alerts = {
			bladecd = {
				varname = format(L.alert["%s/%s Cooldown"],SN[99352],SN[99350]),
				type = "dropdown",
				text = format(L.alert["%s/%s Cooldown"],SN[99352],SN[99350]),
				time = 30,
				flashtime = 5,
				color1 = "BLUE",
				icon = ST[99252],
				sound = "ALERT1",
			},
			decimationbladewarn = {
				varname = format(L.alert["%s Warning"],SN[99352]),
				type = "dropdown",
				text = format(L.alert["%s Warning"],SN[99350]),
				time = 3,
				flashtime = 3,
				color1 = "PURPLE",
				icon = ST[99352],
				sound = "ALERT2",
			},
			decimationbladedur = {
				varname = format(L.alert["%s Duration"],SN[99352]),
				type = "dropdown",
				text = format(L.alert["%s Duration"],SN[99350]),
				time = 15,
				flashtime = 5,
				color1 = "PURPLE",
				icon = ST[99352],
			},
			infernobladewarn = {
				varname = format(L.alert["%s Warning"],SN[99350]),
				type = "dropdown",
				text = format(L.alert["%s Warning"],SN[99350]),
				time = 3,
				flashtime = 3,
				color1 = "YELLOW",
				icon = ST[99350],
				sound = "ALERT2",
			},
			infernobladedur = {
				varname = format(L.alert["%s Duration"],SN[99350]),
				type = "dropdown",
				text = format(L.alert["%s Duration"],SN[99350]),
				time = 15,
				flashtime = 5,
				color1 = "YELLOW",
				icon = ST[99350],
			},
			shardwarn = {
				varname = format(L.alert["%s Warning"],SN[99259]),
				type = "simple",
				text = format(L.alert["%s Warning"],SN[99259]),
				time = 3,
				flashtime = 3,
				color1 = "PURPLE",
				icon = ST[99259],
				sound = "ALERT3",
			},
			shardcd = {
				varname = format(L.alert["%s Cooldown"],SN[99259]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[99259]),
				time = 33,
				time2 = 5,
				flashtime = 5,
				color1 = "PURPLE",
				icon = ST[99259],
				sound = "ALERT3",
			},
			--[[ heroic
			countdowncd = {
			},
			countdownwarn = {
			},]]
		},
        announces = {
			--countdownsay = {},
        },
        raidicons = {
			--countdownicon = {},
        },
		arrows = {
			--countdownarrow = {},
		},
		events = {
			-- Decimation Blade
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellname = 99352,
				execute = {
					{
						"quash","bladecd",
						"alert","bladecd",
						"alert","decimationbladewarn",
						"schedulealert",{"decimationbladedur",1.5},
					},
				},
			},
			-- Inferno Blade
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellname = 99350,
				execute = {
					{
						"quash","bladecd",
						"alert","bladecd",
						"alert","infernobladewarn",
						"schedulealert",{"infernobladedur",1.5},
					},
				},
			},
			-- Shards of Torment
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellname = 99259,
				execute = {
					{
						"quash","shardcd",
						"alert","shardcd",
						"alert","shardwarn",
					},
				},
			},
			-- Countdown heroic
		},
	}

	DXE:RegisterEncounter(data)
end


------------------------
-- Beth'tilac
------------------------
do
	local data = {
		version = 1,
		key = "Beth'tilac",
		zone = L.zone["Firelands"],
		category = L.zone["Firelands"],
		name = L.npc_firelands["Beth'tilac"],
		triggers = {
			scan = {
				52498, -- Beth'tilac
			},
		},
		onactivate = {
			tracing = {52498}, -- Beth'tilac
            tracerstart = true,
			combatstop = true,
			defeat = 52498,
		},
        userdata = {
        },
        onstart = {
        },
        windows = {
        },
        timers = {
        },
		alerts = {
		},
        announces = {
        },
        raidicons = {
        },
		events = {
		},
	}

	DXE:RegisterEncounter(data)
end


------------------------
-- Lord Rhyolith
------------------------
do
	local data = {
		version = 1,
		key = "Rhyolith",
		zone = L.zone["Firelands"],
		category = L.zone["Firelands"],
		name = L.npc_firelands["Lord Rhyolith"],
		triggers = {
			scan = {
				52558, -- Lord Rhyolith
			},
		},
		onactivate = {
			tracing = {52558}, -- Lord Rhyolith
            tracerstart = true,
			combatstop = true,
			defeat = 52558,
		},
        userdata = {
        },
        onstart = {
        },
        windows = {
        },
        timers = {
        },
		alerts = {
		},
        announces = {
        },
        raidicons = {
        },
		events = {
		},
	}

	DXE:RegisterEncounter(data)
end


------------------------
-- Majordomo Fandral Staghelm
------------------------
do
	local data = {
		version = 1,
		key = "Staghelm",
		zone = L.zone["Firelands"],
		category = L.zone["Firelands"],
		name = L.npc_firelands["Majordomo Fandral Staghelm"],
		triggers = {
			scan = {
				52571, -- Majordomo Fandral Staghelm
			},
		},
		onactivate = {
			tracing = {52571}, -- Majordomo Fandral Staghelm
            tracerstart = true,
			combatstop = true,
			defeat = 52571,
		},
        userdata = {
        },
        onstart = {
        },
        windows = {
        },
        timers = {
        },
		alerts = {
		},
        announces = {
        },
        raidicons = {
        },
		events = {
		},
	}

	DXE:RegisterEncounter(data)
end


------------------------
-- Shannox
------------------------
do
	local data = {
		version = 1,
		key = "Shannox",
		zone = L.zone["Firelands"],
		category = L.zone["Firelands"],
		name = L.npc_firelands["Shannox"],
		triggers = {
			scan = {
				53691, -- Shannox
			},
		},
		onactivate = {
			tracing = {53691}, -- Shannox
            tracerstart = true,
			combatstop = true,
			defeat = 53691,
		},
        userdata = {
        },
        onstart = {
        },
        windows = {
        },
        timers = {
        },
		alerts = {
		},
        announces = {
        },
        raidicons = {
        },
		events = {
		},
	}

	DXE:RegisterEncounter(data)
end


------------------------
-- Ragnaros
------------------------
do
	local data = {
		version = 1,
		key = "Ragnaros",
		zone = L.zone["Firelands"],
		category = L.zone["Firelands"],
		name = L.npc_firelands["Ragnaros"],
		triggers = {
			scan = {
				52409 , -- Ragnaros
			},
		},
		onactivate = {
			tracing = {52409 }, -- Ragnaros
            tracerstart = true,
			combatstop = true,
			defeat = 52409 ,
		},
        userdata = {
        },
        onstart = {
        },
        windows = {
        },
        timers = {
        },
		alerts = {
		},
        announces = {
        },
        raidicons = {
        },
		events = {
		},
	}

	DXE:RegisterEncounter(data)
end